> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/soap-api/authentication.md).

# Authentication

Methods related to authentication

## Authenticate

<mark style="color:green;">`POST`</mark> /ICardProcess/Authenticate

Authenticates the user. The method returns a session key that is used on subsequent method calls, the account details, and a list of merchants associated with the account.&#x20;

{% tabs %}
{% tab title="Request body" %}

***

{% endtab %}

{% tab title="Response body" %}

***

***

`ThisUser` [api\_AuthUser](/api-reference/soap-api/soap-object-dictionary.md#api_authuser) (object)

An object describing the user account.

Fields: ID< AccountCode, AcctID, APILocationID, ExpirationDate, DateCreated, DateModified, CreatedBy, IsExpired, IsLockedOut, Alias, Description, TokenDescription

***

`MerchantList` List<[api\_MerchantInfo](/api-reference/soap-api/soap-object-dictionary.md#api_merchantinfo)> (array\<object>)

An array with basic information about all of the merchants visible to the logged-in user.

Fields: ID, Descrip, TermID, Location, Address
{% endtab %}
{% endtabs %}

{% code title="Sample response" overflow="wrap" fullWidth="false" %}

```xml
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
                  xmlns:ns="http://example.com/soapapi">
   <soapenv:Header/>
   <soapenv:Body>
      <ns:api_AuthResponse>
         <ns:FunctionOk>true</ns:FunctionOk>
         <ns:AuthSuccess>true</ns:AuthSuccess>
         <ns:RespMsg>SessKey Expires|4/18/2019 7:29:47 AM</ns:RespMsg>
         <ns:ErrMsg></ns:ErrMsg>
         <ns:ErrCode>0</ns:ErrCode>
         <ns:SessKey>B9F24903C3BA4770AE303032303541303032353437</ns:SessKey>
         <ns:ThisUser>
            <ns:ID>2547</ns:ID>
            <ns:AccountCode>EP9116875</ns:AccountCode>
            <ns:AcctID>205</ns:AcctID>
            <ns:APILocationID>2210</ns:APILocationID>
            <ns:ExpirationDate>2019-09-11T16:12:00-04:00</ns:ExpirationDate>
            <ns:DateCreated>2019-03-11T12:32:00-04:00</ns:DateCreated>
            <ns:DateModified>2019-03-11T12:32:00-04:00</ns:DateModified>
            <ns:CreatedBy>ADMIN : vidya Venkatraman</ns:CreatedBy>
            <ns:IsExpired>false</ns:IsExpired>
            <ns:IsLockedOut>false</ns:IsLockedOut>
            <ns:Alias>vidya_Venkatraman</ns:Alias>
            <ns:Description>EP DEV ACCT</ns:Description>
            <ns:TokenDescription>EP DEV ACCT</ns:TokenDescription>
         </ns:ThisUser>
         <ns:MerchantList>
            <ns:MerchantInfo>
               <ns:ID>1</ns:ID>
               <ns:Descrip>Test Merchant 1</ns:Descrip>
               <ns:TermID>006</ns:TermID>
               <ns:Location>Test Merchant 1</ns:Location>
               <ns:Address>45 spring street portland Maine 04101</ns:Address>
            </ns:MerchantInfo>
            <ns:MerchantInfo>
               <ns:ID>2</ns:ID>
               <ns:Descrip>Lodging Merch</ns:Descrip>
               <ns:TermID>033</ns:TermID>
               <ns:Location>Lodging Merch</ns:Location>
               <ns:Address>78 spring street portland Maine 04101</ns:Address>
            </ns:MerchantInfo>
         </ns:MerchantList>
      </ns:api_AuthResponse>
   </soapenv:Body>
</soapenv:Envelope>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.number.tech/api-reference/soap-api/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
